OpenTTD Source: NetworkStunConnecter Class Reference

OpenTTD Source 12.2

Public Member Functions | Private Attributes
NetworkStunConnecter Class Reference

Connect to the STUN server. More...

Inheritance diagram for NetworkStunConnecter:

## Public Member Functions
| NetworkStunConnecter (ClientNetworkStunSocketHandler *stun_handler, const std::string &connection_string, const std::string &token, uint8 family)
| Initiate the connecting. More...
void | OnFailure () override
| Callback for when the connection attempt failed.
void | OnConnect (SOCKET s) override
| Callback when the connection succeeded. More...
Public Member Functions inherited from TCPConnecter
| TCPConnecter (const std::string &connection_string, uint16 default_port, NetworkAddress bind_address={}, int family=AF_UNSPEC)
| Create a new connecter for the given address. More...
void | Kill ()
| Kill this connecter. More...

## Private Attributes
ClientNetworkStunSocketHandler * | stun_handler
std::string | token
uint8 | family

## Additional Inherited Members
Static Public Member Functions inherited from TCPConnecter
static void | CheckCallbacks ()
| Check whether we need to call the callback, i.e. More...
static void | KillAll ()
| Kill all connection attempts.

## Detailed Description

Connect to the STUN server.

Definition at line 19 of file network_stun.cpp.

## Constructor & Destructor Documentation

## ◆ NetworkStunConnecter()

NetworkStunConnecter::NetworkStunConnecter | ( | ClientNetworkStunSocketHandler * | stun_handler,
|  | const std::string & | connection_string,
|  | const std::string & | token,
|  | uint8 | family
| ) |  |
| inline

Initiate the connecting.

Parameters

  stun_handler | The handler for this request.
  connection_string | The address of the server.

Definition at line 31 of file network_stun.cpp.

## Member Function Documentation

## ◆ OnConnect()

void NetworkStunConnecter::OnConnect | ( | SOCKET | s | ) |
| inlineoverridevirtual

Callback when the connection succeeded.

Parameters

  s | the socket that we opened

Reimplemented from TCPConnecter.

Definition at line 49 of file network_stun.cpp.

References ClientNetworkStunSocketHandler::connecter, NetworkAddress::GetSockAddress(), ClientNetworkStunSocketHandler::local_addr, and NetworkTCPSocketHandler::sock.

The documentation for this class was generated from the following file:

- src/network/network_stun.cpp